Bots
Authorization
bearerAuth In: header
Query Parameters
Filter to bots installed on this account login.
Response Body
application/json
curl -X GET "https://example.com/v1/bots?account=abc123""abc123"Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/bots" \ -H "Content-Type: application/json" \ -d '{ "description": "abc123", "id": "abc123", "installations": [ { "accountKind": "org", "accountLogin": "abc123" } ], "name": "aa", "scopes": [ "abc123" ], "slug": "aa" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Bot id.
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/v1/bots/aa/installations""abc123"Authorization
bearerAuth In: header
Path Parameters
Bot id.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/bots/aa/installations" \ -H "Content-Type: application/json" \ -d '{ "accountKind": "org", "accountLogin": "aa" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Bot id.
1 <= lengthForgejo owner login the bot is installed on.
1 <= lengthResponse Body
application/json
curl -X DELETE "https://example.com/v1/bots/aa/installations/aa""abc123"Authorization
bearerAuth In: header
Path Parameters
Bot id.
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/bots/aa/tokens" \ -H "Content-Type: application/json" \ -d '{ "expiresIn": "abc123", "name": "abc123" }'"abc123"Authorization
bearerAuth In: header
Path Parameters
Bot id.
1 <= lengthToken id.
1 <= lengthResponse Body
application/json
curl -X DELETE "https://example.com/v1/bots/aa/tokens/aa""abc123"